## org.eclipse.datatools.enablement.ase.util
Class ASECatalogUtil

    java.lang.Object
      org.eclipse.datatools.enablement.ase.util.ASECatalogUtil

    public class ASECatalogUtil

extends java.lang.Object

Author:
  Hui Cao

Field Summary
`static java.lang.String` `LOGSEGMENT`

Constructor Summary
`ASECatalogUtil()`

Method Summary
`static SybaseASEDefault` `findDefault(Database database, java.lang.String databaseName, java.lang.String ownerName, java.lang.String defaultName, boolean refresh, boolean caseSensitive)` Find the default from the database
`static SybaseASERule` `findRule(Database database, java.lang.String databaseName, java.lang.String ownerName, java.lang.String ruleName, boolean refresh, boolean caseSensitive)` Find the rule from the database
`static void` `getAllTriggers(java.sql.Connection connection, Table subjectTable, java.util.List list)` Returns all triggers for the given table, and add them into the list.
`static java.util.List` `getSchemaWithoutRole(SybaseASECatalog catalog)`
`static boolean` `isLogSegement(SybaseASESegment segment)` Checks whether the segment is logsement or not
`static java.lang.String` `retrieveProceduralObjectCode(java.sql.Connection connection, org.eclipse.datatools.sqltools.core.ProcIdentifier proc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGSEGMENT

    public static final java.lang.String LOGSEGMENT

See Also:
  Constant Field Values

Constructor Detail

### ASECatalogUtil

    public ASECatalogUtil()

Method Detail

### retrieveProceduralObjectCode

    public static java.lang.String retrieveProceduralObjectCode(java.sql.Connection connection,
                                                                org.eclipse.datatools.sqltools.core.ProcIdentifier proc)

### getAllTriggers

    public static void getAllTriggers(java.sql.Connection connection,
                                      Table subjectTable,
                                      java.util.List list)

  Returns all triggers for the given table, and add them into the list.

  Parameters:
    `list` -
  Throws:
    `java.sql.SQLException`

### isLogSegement

    public static boolean isLogSegement(SybaseASESegment segment)

  Checks whether the segment is logsement or not

  Parameters:
    `segment` - Segment Model
  Returns:
    if is log segment return true, else false

### getSchemaWithoutRole

    public static java.util.List getSchemaWithoutRole(SybaseASECatalog catalog)

### findRule

    public static SybaseASERule findRule(Database database,
                                         java.lang.String databaseName,
                                         java.lang.String ownerName,
                                         java.lang.String ruleName,
                                         boolean refresh,
                                         boolean caseSensitive)

  Find the rule from the database

  Parameters:
    `database` -
    `defaultName` -
    `refresh` -
  Returns:

### findDefault

    public static SybaseASEDefault findDefault(Database database,
                                               java.lang.String databaseName,
                                               java.lang.String ownerName,
                                               java.lang.String defaultName,
                                               boolean refresh,
                                               boolean caseSensitive)

  Find the default from the database

  Parameters:
    `database` -
    `defaultName` -
    `refresh` -
  Returns: